summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-01-30 04:27:03 +0000
committer Eric Hameleers <alien@slackware.com>2019-01-30 17:59:47 +0100
commit01d519c790743d682b1f1b9d97d3eb3c1b47b67d (patch)
treefc5797284fc538ee5eb85f7ff9db018cddc30016 /source
parent72d68bbefb882dd4ab6c9bb78c46592fd8ec8b9b (diff)
downloadcurrent-01d519c790743d682b1f1b9d97d3eb3c1b47b67d.tar.gz
current-01d519c790743d682b1f1b9d97d3eb3c1b47b67d.tar.xz
Wed Jan 30 04:27:03 UTC 201920190130042703
d/bison-3.3.1-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_25-x86_64-1.txz: Upgraded. l/mozilla-nss-3.42-x86_64-1.txz: Upgraded. n/libgpg-error-1.35-x86_64-1.txz: Upgraded. n/whois-5.4.1-x86_64-1.txz: Upgraded. x/xf86-video-nouveau-1.0.16-x86_64-1.txz: Upgraded. xap/mozilla-firefox-60.5.0esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/ https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/#CVE-2018-18500 https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/#CVE-2018-18505 https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/#CVE-2018-18501 (* Security fix *) xap/mozilla-thunderbird-60.5.0-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/60.5.0/releasenotes/ xfce/Thunar-1.8.4-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild2
-rwxr-xr-xsource/n/whois/whois.SlackBuild2
-rw-r--r--source/x/x11/build/xf86-video-nouveau2
-rwxr-xr-xsource/x/x11/x11.SlackBuild98
-rwxr-xr-xsource/xap/mozilla-firefox/gold/gold2
l---------source/xap/mozilla-firefox/gold/ld1
-rwxr-xr-xsource/xap/mozilla-firefox/mozilla-firefox.SlackBuild56
-rw-r--r--source/xfce/Thunar/Thunar.url2
8 files changed, 75 insertions, 90 deletions
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index ba3e19358..fa3b1105d 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.41.1}
+VERSION=${VERSION:-3.42}
NSPR=${NSPR:-4.20}
BUILD=${BUILD:-1}
diff --git a/source/n/whois/whois.SlackBuild b/source/n/whois/whois.SlackBuild
index c4b9b3d18..8485fe7a7 100755
--- a/source/n/whois/whois.SlackBuild
+++ b/source/n/whois/whois.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=whois
VERSION=${VERSION:-$(echo ${PKGNAM}_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine architecture for build & packaging:
if [ -z "$ARCH" ]; then
diff --git a/source/x/x11/build/xf86-video-nouveau b/source/x/x11/build/xf86-video-nouveau
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xf86-video-nouveau
+++ b/source/x/x11/build/xf86-video-nouveau
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/x11.SlackBuild b/source/x/x11/x11.SlackBuild
index 780aaf528..af97a7618 100755
--- a/source/x/x11/x11.SlackBuild
+++ b/source/x/x11/x11.SlackBuild
@@ -326,55 +326,57 @@ no_usr_share_doc() {
done
- # Nothing here? Must have been fully modular. :-)
- if [ ! -d ${SLACK_X_BUILD_DIR}/package-${x_source_dir}/etc -a \
- ! -d ${SLACK_X_BUILD_DIR}/package-${x_source_dir}/usr ]; then
- continue
- fi
-
- # Build an "x11-<sourcedir>" package for anything that wasn't built modular:
- # It's safer to consider these to have binaries in them. ;-)
- PKGARCH=$ARCH
- cd $PKG
- process_man_pages
- process_info_pages
- no_usr_share_doc
- # If there are post-install things to do for the combined package,
- # we do them here. This could be used for things like making a
- # VERSION number for a combined package. :-)
- if [ -r $CWD/post-install/x11-${x_source_dir}.post-install ]; then
- RUNSCRIPT=$(mktemp -p $TMP) || exit 1
- cat $CWD/post-install/x11-${x_source_dir}.post-install \
- | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" > $RUNSCRIPT
- . $RUNSCRIPT
- rm -f $RUNSCRIPT
- fi
- mkdir -p $PKG/install
- if [ -r $CWD/slack-desc/x11-${x_source_dir} ]; then
- cat $CWD/slack-desc/x11-${x_source_dir} > $PKG/install/slack-desc
- else
- touch $PKG/install/slack-desc-missing
- fi
- if [ -r $CWD/doinst.sh/x11-${x_source_dir} ]; then
- cat $CWD/doinst.sh/x11-${x_source_dir} \
- | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" \
- >> $PKG/install/doinst.sh
- fi
- if [ -r $CWD/build/x11-${PKGNAME} ]; then
- SRCDIRBUILD=$(cat $CWD/build/x11-${PKGNAME})
- else
- SRCDIRBUILD=$BUILD
- fi
- if [ -r $CWD/makepkg/${PKGNAME} ]; then
- BUILD=$MODBUILD . $CWD/makepkg/${PKGNAME}
- else
- /sbin/makepkg -l y -c n ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
- if [ "$UPGRADE_PACKAGES" = "yes" ]; then
- /sbin/upgradepkg --install-new ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
- elif [ "$UPGRADE_PACKAGES" = "always" ]; then
- /sbin/upgradepkg --install-new --reinstall ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
+ # If we have anything here in /etc or /usr, then the build was not fully
+ # modular and we should package up whatever's there as an x11-<sourcedir>
+ # package:
+ if [ -d ${SLACK_X_BUILD_DIR}/package-${x_source_dir}/etc -o \
+ -d ${SLACK_X_BUILD_DIR}/package-${x_source_dir}/usr ]; then
+
+ # Build an "x11-<sourcedir>" package for anything that wasn't built modular:
+ # It's safer to consider these to have binaries in them. ;-)
+ PKGARCH=$ARCH
+ cd $PKG
+ process_man_pages
+ process_info_pages
+ no_usr_share_doc
+ # If there are post-install things to do for the combined package,
+ # we do them here. This could be used for things like making a
+ # VERSION number for a combined package. :-)
+ if [ -r $CWD/post-install/x11-${x_source_dir}.post-install ]; then
+ RUNSCRIPT=$(mktemp -p $TMP) || exit 1
+ cat $CWD/post-install/x11-${x_source_dir}.post-install \
+ | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" > $RUNSCRIPT
+ . $RUNSCRIPT
+ rm -f $RUNSCRIPT
fi
- fi
+ mkdir -p $PKG/install
+ if [ -r $CWD/slack-desc/x11-${x_source_dir} ]; then
+ cat $CWD/slack-desc/x11-${x_source_dir} > $PKG/install/slack-desc
+ else
+ touch $PKG/install/slack-desc-missing
+ fi
+ if [ -r $CWD/doinst.sh/x11-${x_source_dir} ]; then
+ cat $CWD/doinst.sh/x11-${x_source_dir} \
+ | sed -e "s#usr/lib#usr/lib${LIBDIRSUFFIX}#g" \
+ >> $PKG/install/doinst.sh
+ fi
+ if [ -r $CWD/build/x11-${PKGNAME} ]; then
+ SRCDIRBUILD=$(cat $CWD/build/x11-${PKGNAME})
+ else
+ SRCDIRBUILD=$BUILD
+ fi
+ if [ -r $CWD/makepkg/${PKGNAME} ]; then
+ BUILD=$MODBUILD . $CWD/makepkg/${PKGNAME}
+ else
+ /sbin/makepkg -l y -c n ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
+ if [ "$UPGRADE_PACKAGES" = "yes" ]; then
+ /sbin/upgradepkg --install-new ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
+ elif [ "$UPGRADE_PACKAGES" = "always" ]; then
+ /sbin/upgradepkg --install-new --reinstall ${SLACK_X_BUILD_DIR}/x11-${x_source_dir}-${VERSION}-${PKGARCH}-${SRCDIRBUILD}.txz
+ fi
+ fi
+
+ fi # build x11-<sourcedir> package
)
done
)
diff --git a/source/xap/mozilla-firefox/gold/gold b/source/xap/mozilla-firefox/gold/gold
deleted file mode 100755
index 8c86d3b06..000000000
--- a/source/xap/mozilla-firefox/gold/gold
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/bash
-/usr/bin/ld.gold "$@"
diff --git a/source/xap/mozilla-firefox/gold/ld b/source/xap/mozilla-firefox/gold/ld
deleted file mode 120000
index 78a06a2a1..000000000
--- a/source/xap/mozilla-firefox/gold/ld
+++ /dev/null
@@ -1 +0,0 @@
-gold \ No newline at end of file
diff --git a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index 4018d57e5..d184dc456 100755
--- a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -72,24 +72,17 @@ fi
if [ "$(uname -m)" = "x86_64" -a "$(file -L /usr/bin/gcc | grep 80386 | grep 32-bit)" != "" ]; then
COMPILE_X86_UNDER_X86_64=true
ARCH=i686
- # Also use the gold linker for this:
- PATH="$(pwd)/gold:$PATH"
- export CC=${CC:-"gcc -B$(pwd)/gold"}
- export CXX=${CXX:-"g++ -B$(pwd)/gold"}
-elif [ "$ARCH" = "i686" ]; then
- # This might also help with the linker memory situation on some $ARCH. Feel free
- # to match any other $ARCH that could benefit from this.
- SLKLDFLAGS=" -Wl,--as-needed -Wl,--reduce-memory-overheads -Wl,--no-keep-memory -Wl,--stats"
- export LDFLAGS="$SLKLDFLAGS"
- export MOZ_LINK_FLAGS="$SLKLDFLAGS"
-else
- # Link using gold. This also helps prevent running out of memory on 32-bit
- # systems, and avoids a recurring build failure with GNU ld on other systems.
- PATH="$(pwd)/gold:$PATH"
- export CC=${CC:-"gcc -B$(pwd)/gold"}
- export CXX=${CXX:-"g++ -B$(pwd)/gold"}
fi
+# Choose a compiler (gcc/g++ or clang/clang++):
+export CC=${CC:-gcc}
+export CXX=${CXX:-g++}
+
+# Keep memory usage as low as possible when linking:
+SLKLDFLAGS=" -Wl,--as-needed -Wl,--no-keep-memory -Wl,--stats"
+export LDFLAGS="$SLKLDFLAGS"
+export MOZ_LINK_FLAGS="$SLKLDFLAGS"
+
# Put Rust objects on a diet to keep the linker from running into memory
# issues (especially on 32-bit):
export RUSTFLAGS="-Cdebuginfo=0"
@@ -122,33 +115,26 @@ export RUSTFLAGS="-Cdebuginfo=0"
PGO=${PGO:-no}
if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS=""
+ SLKCFLAGS="-Os"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS=""
+ SLKCFLAGS="-Os"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS=""
+ SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-fPIC"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
- OPTIMIZE=${OPTIMIZE:-"-O1"}
elif [ "$ARCH" = "arm" ]; then
- SLKCFLAGS="-march=armv4 -mtune=xscale"
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
elif [ "$ARCH" = "armel" ]; then
- SLKCFLAGS="-march=armv4t"
+ SLKCFLAGS="-O2 -march=armv4t"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
else
- SLKCFLAGS=""
+ SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
- OPTIMIZE=${OPTIMIZE:-"-O1"}
fi
TMP=${TMP:-/tmp}
@@ -226,13 +212,16 @@ OPTIONS="\
--enable-alsa \
--enable-application=browser \
--enable-default-toolkit=cairo-gtk3 \
+ --enable-linker=gold \
--enable-startup-notification \
$GOOGLE_API_KEY \
--enable-strip \
--enable-cpp-rtti \
--enable-accessibility \
--disable-crashreporter \
- --disable-debug"
+ --disable-debug-symbols \
+ --disable-debug \
+ --disable-optimize"
# Complains about missing APNG support in Slackware's libpng:
# --with-system-png \
# This option breaks mozilla-12.0:
@@ -257,7 +246,7 @@ export BUILD_OFFICIAL="1"
export MOZ_PHOENIX="1"
export MOZ_PACKAGE_JSSHELL="1"
export CFLAGS="$SLKCFLAGS"
-export CXXFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS -fno-delete-null-pointer-checks"
export MOZ_MAKE_FLAGS="$NUMJOBS"
# Clear some variables that could break the build
@@ -281,9 +270,6 @@ fi
echo "export CC=\"${CC}\"" >> .mozconfig
echo "export CXX=\"${CXX}\"" >> .mozconfig
-# Set options for $OPTIMIZE:
-echo "ac_add_options --enable-optimize=\"${OPTIMIZE}\"" >> .mozconfig
-
if [ "$COMPILE_X86_UNDER_X86_64" = "true" ]; then
# Compile for i686 under an x86_64 kernel:
echo "ac_add_options --host=i686-pc-linux-gnu" >> .mozconfig
diff --git a/source/xfce/Thunar/Thunar.url b/source/xfce/Thunar/Thunar.url
index aae98af9e..d79ea5b20 100644
--- a/source/xfce/Thunar/Thunar.url
+++ b/source/xfce/Thunar/Thunar.url
@@ -1 +1 @@
-http://archive.xfce.org/src/xfce/thunar/1.8/Thunar-1.8.3.tar.bz2
+http://archive.xfce.org/src/xfce/thunar/1.8/Thunar-1.8.4.tar.bz2